<script setup>
    import User from "./User.vue";
    import WorkingTime from "./WorkingTime.vue";
    import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
</script>

<template>
    <div class="background">
      <br/>
      <h1 class="text">
        <font-awesome-icon icon="fa-solid fa-business-time" /> TiRe
      </h1>
      <nav>
        <nav class="navbar navbar-light d-flex justify-content-around">
            <div class="text"></div>
            <div>
              <b-dropdown id="dropdown-1" text="Information" class="m-md-2 color">
                <router-link :to="{name: 'Home'}"><b-dropdown-item><font-awesome-icon icon="fa-solid fa-house" /> Home</b-dropdown-item></router-link>
                <router-link :to="{name: 'Profil'}"><b-dropdown-item><font-awesome-icon icon="fa-solid fa-user" /> Profil</b-dropdown-item></router-link>
                <b-dropdown-item @click="signOut"><font-awesome-icon icon="fa-solid fa-arrow-right-from-bracket"/> Sign out</b-dropdown-item>
              </b-dropdown>
            </div>
        </nav>
      </nav>
      <WorkingTime />
    </div>
</template>

<script>
export default {
  name: "Time Manager",
  components: {
    User,
    WorkingTime,
  },
  data() {
    return {
      user: {
        id: "",
        token: "",
        role: ""
      },
      username: "",
      email: "marvin@epitech.eu",
      newname: "",
      newemail: "",
      newstrat: "",
      newend: "",
      newuser: "",
      revele: false,
    };
  },
  methods: {
    async signOut() {
      const response = await fetch('http://localhost:4000/auth/sign_out', {
        method: "POST",
          headers: {
          Accept: "application/json",
          "Content-type": "application/json",
        }
      });
      if (response.status == 204) {
        localStorage.clear()
        this.$router.push('/login');
      }
    },
  },
  mounted() {
    if (!localStorage.getItem("token")) { // si pas connecte
      this.$router.push('/login');
    }
    else {
      this.user.id = localStorage.getItem('id')
      this.user.token = localStorage.getItem('token')
    }
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}

.background {
    background-image: linear-gradient(to top, #0d3888 0%, #14326a 1%, #0d3477 100%);
    height: 100vh;
}

.text {
  color: aliceblue;
}
.color{
    background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%)!important;
}
</style>